package com.fidufosyga.rules;

public class SecuenciaIncorrectaTiposDocumentoEvolucion extends AbstractRule {

	/** Creates a new instance of CampoVacio */
	public SecuenciaIncorrectaTiposDocumentoEvolucion() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];

		String indicador = registro[new Integer((String) getParams()[3])
				.intValue()];

		if (codigoNovedad.equals((String) getParams()[1])
				&& indicador.equals("0")) {
			String tipoDocAnterior = registro[new Integer(
					(String) getParams()[2]).intValue()];
			if (tipoDocAnterior.equals("MS")) {
				if ("MSRCTICCAS".indexOf(field) < 0) {
					return true;
				}
			}

			if (tipoDocAnterior.equals("RC")) {
				if ("RCTICCASCE".indexOf(field) < 0) {
					return true;
				}
			}

			if (tipoDocAnterior.equals("TI")) {
				if ("TICCASCE".indexOf(field) < 0) {
					return true;
				}
			}
			if (tipoDocAnterior.equals("CC")) {
				if ("CCAS".indexOf(field) < 0) {
					return true;
				}
			}
			if (tipoDocAnterior.equals("AS")) {
				if ("CCAS".indexOf(field) < 0) {
					return true;
				}
			}
			if (tipoDocAnterior.equals("PA")) {
				if ("PACECCTIPEPTRC".indexOf(field) < 0) {
					return true;
				}
			}
			if (tipoDocAnterior.equals("CE")) {
				if ("CECCPEPT".indexOf(field) < 0) {
					return true;
				}
			}
		}

		return false;

	}

}
